### Function

# Dex thread_wait_for

since: 1.0

#### Declaration [src]

    gboolean
    dex_thread_wait_for (
      DexFuture* future,
      GError** error
    )

#### Description [src]

Use this when running on a thread spawned with `dex_thread_spawn()` and you need to block the thread until `future` has resolved or rejected.

Available since: 1.0

#### Parameters

`future`

  Type: `DexFuture`

  A `DexFuture`.

  The called function takes ownership of the data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `future` resolved, otherwise `FALSE` and `error` is set to the rejection.